New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

cmake/FindPYTHON.cmake: Added required version #252

Merged
merged 1 commit into from Nov 1, 2017

Conversation

Projects
None yet
2 participants
@decibelcooper
Member

decibelcooper commented Oct 30, 2017

Since Python3 moved to wide character in argument of PySys_SetArgv(), DD4hep is
currently incompatible with Python3. For now, let's resolve this by requiring
Python2 via CMake.

This PR resolves #251

BEGINRELEASENOTES

  • Added requirement of Python 2 in cmake/FindPYTHON.cmake. This makes clear the requirement of Python 2, and resolves the issue where CMake tries to build with Python 3 in a system where both exist.

ENDRELEASENOTES

cmake/FindPYTHON.cmake: Added required version
Since Python3 moved to wide character in argument of PySys_SetArgv(), DD4hep is
currently incompatible with Python3.  For now, let's resolve this by requiring
Python2 via CMake.

@andresailer andresailer merged commit 9c4c833 into AIDASoft:master Nov 1, 2017

1 check passed

continuous-integration/travis-ci/pr The Travis CI build passed
Details

@decibelcooper decibelcooper deleted the decibelcooper:python_version branch Nov 3, 2017

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment